JOURNAL_DIRTY_METADA(9)

NAME
journal_dirty_metadata - mark a buffer as containing dirty metadata

SYNOPSIS

int journal_dirty_metadata(handle_t * handle, struct buffer_head * bh);

ARGUMENTS

handle
    transaction to add buffer to.

bh
    buffer to mark

DESCRIPTION

Mark dirty metadata which needs to be journaled as part of the current transaction.

The buffer is placed on the transaction's metadata list and is marked as belonging to the transaction.

Returns error number or 0 on success.

Special care needs to be taken if the buffer already belongs to the current committing transaction (in which case we should have frozen data present for that commit). In that case, we don't relink the

BUFFER

that only gets done when the old transaction finally completes its commit.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT